"use strict";

// $('dcp.CDE4/csv/Avg', '') == '' ? '' : (parseFloat($('dcp.CDE4/csv/Dev', '0')) / parseFloat($('dcp.CDE4/csv/Avg', '0'))).toFixed(2) + '%'

// getValue($('dcp.CDE4/csv/Avg', ''), $('dcp.CDE4/csv/Dev', '0'), $('dcp.CDE4/csv/Avg', '0'));

function roundNumber(number, digits) {
    let result;
    const multiple = Math.pow(10, digits);
    result = Math.round(number * multiple) / multiple;
    return result;
}

function getValue(avgRaw, devZeroDefault, avgZeroDefault) {
    let result;
    if (avgRaw == '')
        result = '';
    else {
        let raw = parseFloat(devZeroDefault) / parseFloat(avgZeroDefault);
        result = roundNumber(raw, 2);
    }
    return result;
}

const dev = 0.383;
const avg = 33.5810;
const value = getValue(avg, dev);
console.log("value: " + value);